library reflection_helper;

import "dart:mirrors";

bool hasTag(DeclarationMirror declaration, Type tagType) =>
    getTag(declaration, tagType) != null;

dynamic getTag(DeclarationMirror declaration, Type tagType) => declaration
    .metadata
    .firstWhere((m) => m.reflectee.runtimeType == tagType, orElse: () => null)
    ?.reflectee;
