import "package:xerum/xerum.dart";
import "contracts/iioc_container.dart";

class XerumIocContainer implements IIoCContainer {
  XerumContainer _container;

  XerumIocContainer([XerumContainer container = null]) {
    _container = container ?? new XerumContainer();
  }

  @override
  void register(Type type) =>
      _container.register(new XerumBinding.fromType(type));

  @override
  resolve(Type type) => _container.resolve(type);
}
